# Overview (/docs/api/personal-api-overview)



# Personal API [#personal-api]

Access your financial data programmatically with the Lunch Flow REST API. Sync bank transactions, account balances, and financial information from thousands of banks worldwide.

<Callout type="info">
  If you'd like to build an app that accesses other users' data, check out the [Platform API](/docs/platform-api/overview).
</Callout>

## Getting started [#getting-started]

<Steps>
  <Step>
    ### Create an API destination [#create-an-api-destination]

    Go to your [Lunch Flow dashboard](https://lunchflow.app/dashboard) and create an **API destination**.
  </Step>

  <Step>
    ### Copy your API key [#copy-your-api-key]

    Find the API key in your destination settings.
  </Step>

  <Step>
    ### Start making requests [#start-making-requests]

    Include the API key in every request using the `x-api-key` header.
  </Step>
</Steps>

## Authentication [#authentication]

All API requests require authentication using an API key:

```bash
curl https://lunchflow.app/api/v1/accounts \
  -H "x-api-key: YOUR_API_KEY"
```

You can generate API keys from your [Lunch Flow dashboard](https://lunchflow.app/dashboard).

## Base URL [#base-url]

```
https://lunchflow.app/api/v1
```

## Endpoints [#endpoints]

| Method | Path                         | Description                            |
| ------ | ---------------------------- | -------------------------------------- |
| `GET`  | `/accounts`                  | List all connected bank accounts       |
| `GET`  | `/accounts/:id/transactions` | Get transactions for an account        |
| `GET`  | `/accounts/:id/balance`      | Get the balance for an account         |
| `GET`  | `/accounts/:id/holdings`     | Get investment holdings for an account |

Browse the interactive reference for each endpoint in the **Accounts** section of the sidebar.

## Support [#support]

Questions or issues? Email [hello@lunchflow.app](mailto:hello@lunchflow.app).
